import Layout from "@/layout/custom.vue";
import type { RouteRecordRaw } from "vue-router";
import Demo from "@/views/demo/index.vue";

const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    name: "root",
    component: Layout,
    redirect: { name: "Demo" },
    children: [
      {
        path: "demo",
        name: "Demo",
        component: Demo,
        meta: {
          title: "主页"
        }
      },
      {
        path: "calibration",
        name: "Calibration",
        component: () => import("@/views/calibration/index.vue"),
        meta: {
          title: "校准"
        }
      },
      {
        path: "setting",
        name: "Setting",
        component: () => import("@/views/setting/index.vue"),
        meta: {
          title: "校准"
        }
      },
      {
        path: "params",
        name: "Params",
        component: () => import("@/views/setting/params.vue"),
        meta: {
          title: "参数设置"
        }
      },
      {
        path: "adjust",
        name: "Adjust",
        component: () => import("@/views/setting/adjust.vue"),
        meta: {
          title: "调整截距"
        }
      },
      {
        path: "weight",
        name: "Weight",
        component: () => import("@/views/setting/weight.vue"),
        meta: {
          title: "重量校准"
        }
      },
      {
        path: "maint",
        name: "Maint",
        component: () => import("@/views/setting/maint.vue"),
        meta: {
          title: "仪器维护"
        }
      },
      {
        path: "analy",
        name: "Analy",
        component: () => import("@/views/analy/index.vue"),
        meta: {
          title: "分析"
        }
      },
      {
        path: "system",
        name: "System",
        component: () => import("@/views/system/index.vue"),
        meta: {
          title: "系统设置"
        }
      },
      {
        path: "tools",
        name: "Tools",
        component: () => import("@/views/tools/index.vue"),
        meta: {
          title: "工具"
        }
      },
      {
        path: "about",
        name: "About",
        component: () => import("@/views/about/index.vue"),
        meta: {
          title: "关于",
          noCache: true
        }
      }
    ]
  }
];

export default routes;
